package com.ruoyi.system.service_shate.impl;

import com.ruoyi.system.domain_shate.SeedingSuccessRate;
import com.ruoyi.system.mapper_shate.SeedingSuccessMapper;
import com.ruoyi.system.service_shate.ISeedingSuccessService;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 9:42
 */
@Service
public class SeedingSuccessServiceimpl implements ISeedingSuccessService
{
    @Resource
    private SeedingSuccessMapper mapper;
    @Override
    public List<SeedingSuccessRate> sqlSeeding(String zone, String year)
    {
        List<SeedingSuccessRate> vaue =mapper.sqlSeeding(zone,year);
        return vaue;
    }

    @Override
    public List<SeedingSuccessRate> sqlYear() {
        return mapper.sqlYear();
    }

    @Override
    public Integer InsertSeeding1(SeedingSuccessRate eastVO) {
        return mapper.InsertSeeding1(eastVO);
    }

    @Override
    public Integer InsertSeeding2(SeedingSuccessRate eastVO) {
        return mapper.InsertSeeding2(eastVO);
    }

    @Override
    public Integer Delete(String zone, String imageDate,String name) {
        return mapper.Delete(name,zone,imageDate);
    }
}
